// Copyright © Microsoft Corporation
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package org.opengroup.osdu.notification.provider.azure.models;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;

import java.util.Map;

@Data
@AllArgsConstructor
@Builder
public class NotificationContent {
    String NotificationId;
    String data;
    Map<String, String> extractAttributes;
    boolean isHandShakeRequest;

    public static NotificationContent mapFrom(String notificationId, String pubSubData, Map<String, String> attributes, boolean isHandShake) {
        NotificationContentBuilder notificationContentBuilder = NotificationContent.builder()
                .NotificationId(notificationId)
                .data(pubSubData)
                .extractAttributes(attributes)
                .isHandShakeRequest(isHandShake);
        return notificationContentBuilder.build();
    }
}
