# This script provides the pre migration setup for subscriptions from event grid to service bus.

param([Parameter(Mandatory = $true)][Boolean]$InstallAzModule)

try
{
    # Set execution policy
    Set-ExecutionPolicy -ExecutionPolicy RemoteSigned -Scope CurrentUser

    # Installation of modules. This Can be ignored by $InstallAzModule if already installed.
    if ($InstallAzModule)
    {
        Install-Module -Name Az -Scope CurrentUser -Repository PSGallery -Force -ErrorAction Stop
    }

    # Azure login
    Connect-AzAccount -ErrorAction Stop

    Write-Output "Migration Setup Successful."
}
catch
{
    Write-Output "Migration Setup Failed" $_
}